[ALSA-2024:3838] ruby security update

Severity Moderate
Affected Packages 31
CVEs 6

ruby security update

Ruby is an extensible, interpreted, object-oriented, scripting language. It has features to process text files and to perform system management tasks.

The following packages have been upgraded to a later upstream version: ruby
(3.0). (AlmaLinux-35740)

Security Fix(es):

  • ruby/cgi-gem: HTTP response splitting in CGI (CVE-2021-33621)
  • ruby: ReDoS vulnerability in URI (CVE-2023-28755)
  • ruby: ReDoS vulnerability in Time (CVE-2023-28756)
  • ruby: Buffer overread vulnerability in StringIO (CVE-2024-27280)
  • ruby: RCE vulnerability with .rdoc_options in RDoc (CVE-2024-27281)
  • ruby: Arbitrary memory address read vulnerability with Regex search (CVE-2024-27282)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Package Affected Version
pkg:rpm/almalinux/rubygems?arch=noarch&distro=almalinux-9.4 < 3.2.33-162.el9_4
pkg:rpm/almalinux/rubygems-devel?arch=noarch&distro=almalinux-9.4 < 3.2.33-162.el9_4
pkg:rpm/almalinux/rubygem-typeprof?arch=noarch&distro=almalinux-9.4 < 0.15.2-162.el9_4
pkg:rpm/almalinux/rubygem-test-unit?arch=noarch&distro=almalinux-9.4 < 3.3.7-162.el9_4
pkg:rpm/almalinux/rubygem-rss?arch=noarch&distro=almalinux-9.4 < 0.2.9-162.el9_4
pkg:rpm/almalinux/rubygem-rexml?arch=noarch&distro=almalinux-9.4 < 3.2.5-162.el9_4
pkg:rpm/almalinux/rubygem-rdoc?arch=noarch&distro=almalinux-9.4 < 6.3.4.1-162.el9_4
pkg:rpm/almalinux/rubygem-rbs?arch=noarch&distro=almalinux-9.4 < 1.4.0-162.el9_4
pkg:rpm/almalinux/rubygem-rake?arch=noarch&distro=almalinux-9.4 < 13.0.3-162.el9_4
pkg:rpm/almalinux/rubygem-psych?arch=x86_64&distro=almalinux-9.4 < 3.3.2-162.el9_4
pkg:rpm/almalinux/rubygem-psych?arch=aarch64&distro=almalinux-9.4 < 3.3.2-162.el9_4
pkg:rpm/almalinux/rubygem-power_assert?arch=noarch&distro=almalinux-9.4 < 1.2.1-162.el9_4
pkg:rpm/almalinux/rubygem-minitest?arch=noarch&distro=almalinux-9.4 < 5.14.2-162.el9_4
pkg:rpm/almalinux/rubygem-json?arch=x86_64&distro=almalinux-9.4 < 2.5.1-162.el9_4
pkg:rpm/almalinux/rubygem-json?arch=aarch64&distro=almalinux-9.4 < 2.5.1-162.el9_4
pkg:rpm/almalinux/rubygem-irb?arch=noarch&distro=almalinux-9.4 < 1.3.5-162.el9_4
pkg:rpm/almalinux/rubygem-io-console?arch=x86_64&distro=almalinux-9.4 < 0.5.7-162.el9_4
pkg:rpm/almalinux/rubygem-io-console?arch=aarch64&distro=almalinux-9.4 < 0.5.7-162.el9_4
pkg:rpm/almalinux/rubygem-bundler?arch=noarch&distro=almalinux-9.4 < 2.2.33-162.el9_4
pkg:rpm/almalinux/rubygem-bigdecimal?arch=x86_64&distro=almalinux-9.4 < 3.0.0-162.el9_4
pkg:rpm/almalinux/rubygem-bigdecimal?arch=aarch64&distro=almalinux-9.4 < 3.0.0-162.el9_4
pkg:rpm/almalinux/ruby?arch=x86_64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby?arch=i686&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby?arch=aarch64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-libs?arch=x86_64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-libs?arch=i686&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-libs?arch=aarch64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-devel?arch=x86_64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-devel?arch=i686&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-devel?arch=aarch64&distro=almalinux-9.4 < 3.0.7-162.el9_4
pkg:rpm/almalinux/ruby-default-gems?arch=noarch&distro=almalinux-9.4 < 3.0.7-162.el9_4
Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:rpm/almalinux/rubygems?arch=noarch&distro=almalinux-9.4 almalinux rubygems < 3.2.33-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygems-devel?arch=noarch&distro=almalinux-9.4 almalinux rubygems-devel < 3.2.33-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-typeprof?arch=noarch&distro=almalinux-9.4 almalinux rubygem-typeprof < 0.15.2-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-test-unit?arch=noarch&distro=almalinux-9.4 almalinux rubygem-test-unit < 3.3.7-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-rss?arch=noarch&distro=almalinux-9.4 almalinux rubygem-rss < 0.2.9-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-rexml?arch=noarch&distro=almalinux-9.4 almalinux rubygem-rexml < 3.2.5-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-rdoc?arch=noarch&distro=almalinux-9.4 almalinux rubygem-rdoc < 6.3.4.1-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-rbs?arch=noarch&distro=almalinux-9.4 almalinux rubygem-rbs < 1.4.0-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-rake?arch=noarch&distro=almalinux-9.4 almalinux rubygem-rake < 13.0.3-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-psych?arch=x86_64&distro=almalinux-9.4 almalinux rubygem-psych < 3.3.2-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/rubygem-psych?arch=aarch64&distro=almalinux-9.4 almalinux rubygem-psych < 3.3.2-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/rubygem-power_assert?arch=noarch&distro=almalinux-9.4 almalinux rubygem-power_assert < 1.2.1-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-minitest?arch=noarch&distro=almalinux-9.4 almalinux rubygem-minitest < 5.14.2-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-json?arch=x86_64&distro=almalinux-9.4 almalinux rubygem-json < 2.5.1-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/rubygem-json?arch=aarch64&distro=almalinux-9.4 almalinux rubygem-json < 2.5.1-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/rubygem-irb?arch=noarch&distro=almalinux-9.4 almalinux rubygem-irb < 1.3.5-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-io-console?arch=x86_64&distro=almalinux-9.4 almalinux rubygem-io-console < 0.5.7-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/rubygem-io-console?arch=aarch64&distro=almalinux-9.4 almalinux rubygem-io-console < 0.5.7-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/rubygem-bundler?arch=noarch&distro=almalinux-9.4 almalinux rubygem-bundler < 2.2.33-162.el9_4 almalinux-9.4 noarch
Affected pkg:rpm/almalinux/rubygem-bigdecimal?arch=x86_64&distro=almalinux-9.4 almalinux rubygem-bigdecimal < 3.0.0-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/rubygem-bigdecimal?arch=aarch64&distro=almalinux-9.4 almalinux rubygem-bigdecimal < 3.0.0-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/ruby?arch=x86_64&distro=almalinux-9.4 almalinux ruby < 3.0.7-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/ruby?arch=i686&distro=almalinux-9.4 almalinux ruby < 3.0.7-162.el9_4 almalinux-9.4 i686
Affected pkg:rpm/almalinux/ruby?arch=aarch64&distro=almalinux-9.4 almalinux ruby < 3.0.7-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/ruby-libs?arch=x86_64&distro=almalinux-9.4 almalinux ruby-libs < 3.0.7-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/ruby-libs?arch=i686&distro=almalinux-9.4 almalinux ruby-libs < 3.0.7-162.el9_4 almalinux-9.4 i686
Affected pkg:rpm/almalinux/ruby-libs?arch=aarch64&distro=almalinux-9.4 almalinux ruby-libs < 3.0.7-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/ruby-devel?arch=x86_64&distro=almalinux-9.4 almalinux ruby-devel < 3.0.7-162.el9_4 almalinux-9.4 x86_64
Affected pkg:rpm/almalinux/ruby-devel?arch=i686&distro=almalinux-9.4 almalinux ruby-devel < 3.0.7-162.el9_4 almalinux-9.4 i686
Affected pkg:rpm/almalinux/ruby-devel?arch=aarch64&distro=almalinux-9.4 almalinux ruby-devel < 3.0.7-162.el9_4 almalinux-9.4 aarch64
Affected pkg:rpm/almalinux/ruby-default-gems?arch=noarch&distro=almalinux-9.4 almalinux ruby-default-gems < 3.0.7-162.el9_4 almalinux-9.4 noarch
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...